DataBinding配置的问题

2017-01-14 10:44:51来源:http://www.jianshu.com/p/7cfb42b3749b作者:hcancan人点击

最近把Android studio升级到2.2 Preview7,发现在使用databinding的时候编译不过去,会出现下面错误。



错误图片

测试后发现是因为项目gradle版本配置成了


    dependencies {
classpath 'com.android.tools.build:gradle:+'
// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
}

将其修改为1.5.0后问题解决


    dependencies {
classpath 'com.android.tools.build:gradle:1.5.0'
// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
}

具体原因未知,以后友善在。




最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台